NXOpen.UF.Modl.AskExtrusion

Modl.AskExtrusion()

Refer to UF_MODL_ask_extrusion for documentation.

Signature: AskExtrusion(featureObjId)

Parameters:featureObjId (Tag) – Object tag for the extruded feature
Returns:A Tuple
Return type:A tuple consisting of (num_objects,objects,trim_ptr,taper_angle,limits,offsets,region_point,region_specified,solid_creation,direction)

num_objects(int): Number of curves

objects(list of Tag): Pointer to an array containing the tags of the extruded curves. This array must be freed by calling UF_free.

trim_ptr(list of ``NXOpen.UF.Modl.SweepTrimObject` Refer to UF_MODL_SWEEP_TRIM_object_s for documentation.`): Pointer to structure for trimming data. This pointer may be returned as NULL, if trimming objects are not used. NEEDS A FREE ROUTINE

taper_angle(str): Taper angle. This must be freed by calling UF_free.

limits(list of str): Limits of extrusion. Each element of this array must be freed by calling UF_free.

offsets(list of str): Offsets for open strings. Each element of this array must be freed by calling UF_free.

region_point(list of float): Point on region desired.

region_specified(bool): True or False for region desired.

solid_creation(bool): TRUE = a solid body.

direction(list of float): Extrusion direction

License requirements: None